classification
Title: Establish order in bytes/string dependencies
Type: enhancement Stage: resolved
Components: Build, Unicode Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: christian.heimes, ezio.melotti, haypo, loewis, meador.inge, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-10-25 09:07 by serhiy.storchaka, last changed 2013-01-06 19:41 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
Makefile.pre.in.diff serhiy.storchaka, 2012-10-25 09:07 review
Messages (9)
msg173747 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-25 09:07
The proposed patch reorganizes the dependencies for bytes and strings. Now object files depended only from needed (and from all needed) headers. This will reduce the compilation time when modifying the bytes implementation.
msg178323 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-27 20:41
Please review.
msg178637 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2012-12-31 01:42
The cleanup of BYTESTR_DEPS and UNICODE_DEPS seems reasonable, but can you explain the rationale behind removing the additional dependencies on formatter_unicode.c?  Why were those dependencies ever needed (I can't see the dependencies from reading formatter_unicode.c and its included headers)?  Martin explicitly added the BYTESTR_DEPS dependencies in 8beaa9a37387.
msg178638 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2012-12-31 01:48
Sorry, the BYTESTR_DEPS dependencies were already there pre-8beaa9a37387.  I am still curious why they are needed.
msg178661 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-12-31 10:50
> The cleanup of BYTESTR_DEPS and UNICODE_DEPS seems reasonable, but can you
> explain the rationale behind removing the additional dependencies on
> formatter_unicode.c?

This question already was asked by Antoine on IRC.

Because now Python/formatter_unicode.c depends only on headers included in PYTHON_HEADERS. A special rule doesn't needed.

> Why were those dependencies ever needed (I can't see
> the dependencies from reading formatter_unicode.c and its included
> headers)?

Perhaps this is an artifact. This dependency was added in r61057 and fce5af5ce16a by Christian Heimes.
msg178699 - (view) Author: Meador Inge (meador.inge) * (Python committer) Date: 2012-12-31 16:13
On Mon, Dec 31, 2012 at 4:50 AM, Serhiy Storchaka
<report@bugs.python.org> wrote:

>> The cleanup of BYTESTR_DEPS and UNICODE_DEPS seems reasonable, but can you
>> explain the rationale behind removing the additional dependencies on
>> formatter_unicode.c?
>
> This question already was asked by Antoine on IRC.

OK, but not everyone is on IRC all the time.  Thus the fact that it
was discussed there
isn't very helpful.  It is better to have this type of information in
the tracker so that
everyone interested in the issue can have access.  (preferable when
opening the bug
and describing what the initial patch is doing).

Thanks for the extended explanation.  This patch LGTM.
msg178758 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-01 21:30
I'll wait for some time, perhaps a Christian wants to say something.
msg179208 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-06 19:37
New changeset 8a6068ec220e by Serhiy Storchaka in branch 'default':
Issue #16320: Remove redundant Makefile dependencies for strings and bytes.
http://hg.python.org/cpython/rev/8a6068ec220e
msg179209 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-06 19:41
Fixed. Thank you for review, Meador.
History
Date User Action Args
2013-01-06 19:41:21serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg179209

stage: patch review -> resolved
2013-01-06 19:37:11python-devsetnosy: + python-dev
messages: + msg179208
2013-01-01 21:30:17serhiy.storchakasetmessages: + msg178758
2012-12-31 16:13:15meador.ingesetmessages: + msg178699
2012-12-31 10:50:18serhiy.storchakasetnosy: + christian.heimes
messages: + msg178661
2012-12-31 01:48:09meador.ingesetmessages: + msg178638
2012-12-31 01:42:12meador.ingesetnosy: + loewis
messages: + msg178637
2012-12-29 21:07:36serhiy.storchakasetassignee: serhiy.storchaka
2012-12-29 02:40:25meador.ingesetnosy: + meador.inge
2012-12-27 20:41:49serhiy.storchakasetmessages: + msg178323
2012-10-25 09:15:51serhiy.storchakasetstage: patch review
2012-10-25 09:07:17serhiy.storchakacreate